<?php
/**
 * @package merchant
 *
 * @author xaboy
 * @day 2020-04-16
 *
 *
 */

namespace app\common\model\system\merchant;

use app\common\model\BaseModel;

class MerchantHaikeRefund extends BaseModel
{

    /**
     * @return string
     * @author xaboy
     * @day 2020-03-30
     */
    public static function tablePk(): string
    {
        return 'id';
    }

    /**
     * @return string
     * @author xaboy
     * @day 2020-03-30
     */
    public static function tableName(): string
    {
        return 'merchant_haike_refund';
    }

    public function merchant()
    {
        return $this->hasOne(Merchant::class, 'mer_id', 'merch_id');
    }
}
